Bug 640158 - License: field in gettext-devel and gettext-libs should be "GPLv3+ and LGPLv2+"
Summary: License: field in gettext-devel and gettext-libs should be "GPLv3+ and LGPLv2+"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gettext
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F15Target
TreeView+ depends on / blocked
 
Reported: 2010-10-05 03:28 UTC by Richard Fontana
Modified: 2014-08-26 00:22 UTC (History)
3 users (show)

Fixed In Version: gettext-0.18.1.1-5.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-19 10:30:00 UTC


Attachments (Terms of Use)

Description Richard Fontana 2010-10-05 03:28:48 UTC
Currently, the License: field corresponding to the binary subpackages gettext-devel and gettext-libs has: "LGPLv2+".

gettext-devel contains /usr/include/autosprintf.h which has an LGPLv2+ notice, and /usr/include/gettext-po.h which has a GPLv3+ notice.

gettext-libs contains /usr/lib/libasprintf.so and /usr/lib/libgettextpo.so
It seems fairly clear from the source code for gettext that upstream intends for libasprintf to be LGPLv2+ and intends libgettextpo to be GPLv3+.

Therefore, the License: field for these subpackages should have "GPLv3+ and LGPLv2+".

Comment 1 Jens Petersen 2011-01-29 02:17:09 UTC
I am still wondering whether to do the easy thing (ie just tweaking
the license fields) or repackaging to reflect better the license differences.

Comment 2 Jens Petersen 2011-02-07 04:53:46 UTC
Thanks - I added GPLv3+ to gettext-libs in gettext-0.18.1.1-5.fc15.

Do you think a backport to F14 is necessary?

Comment 3 Richard Fontana 2011-02-07 14:28:08 UTC
A backport might be nice but doesn't seem necessary. If I remember correctly, this bug originated in a question from a RHEL customer concerning the corresponding RHEL package, and an explanation was given. The main point of the bug report was to correct the license label information going forward. I wonder whether in situations like this I should be filing bugs on the RHEL package (or cloning the bug for RHEL?)? Regardless I don't think it's very important given that a correction was made in Fedora and we can always point to that fact.

Comment 4 Fedora Update System 2011-03-10 06:41:20 UTC
gettext-0.18.1.1-5.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gettext-0.18.1.1-5.fc14

Comment 5 Jens Petersen 2011-03-10 06:45:46 UTC
(In reply to comment #3)
> I wonder whether in situations like this I should be filing bugs on the RHEL package (or cloning the bug for RHEL?)? Regardless I don't think it's very important given
> that a correction was made in Fedora and we can always point to that fact.

Ok, I think in general filing against Fedora is fine,
unless prompt action is required for RHEL.

Comment 6 Fedora Update System 2011-03-19 10:29:55 UTC
gettext-0.18.1.1-5.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.